<?php

namespace Onestartup\ProductResource;

use Illuminate\Support\ServiceProvider;

class ProductResourceServiceProvider extends ServiceProvider
{
    /**
     * Bootstrap the application services.
     *
     * @return void
     */
    public function boot()
    {
        include __DIR__.'/routes.php';
        $this->loadMigrationsFrom(__DIR__.'/migrations');


        if (is_dir(base_path() . '/resources/views/vendor/onestartup/product_resource')) {

            $this->loadViewsFrom(base_path() . '/resources/views/vendor/onestartup/product_resource', 'product_resource-public');
            $this->loadViewsFrom(__DIR__.'/views', 'product_resource');

        } else {
           
            $this->loadViewsFrom(__DIR__.'/views', 'product_resource');
            $this->loadViewsFrom(__DIR__.'/views/public', 'product_resource-public');
        }

        $this->publishes([
            __DIR__.'/views/public' => resource_path('views/vendor/onestartup/product_resource'),
        ]);



    }

    /**
     * Register the application services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->make('Onestartup\ProductResource\Controller\AdminProductController');
        $this->app->make('Onestartup\ProductResource\Controller\CategoryController');
        $this->app->make('Onestartup\ProductResource\Controller\ProductController');
        $this->app->make('Onestartup\ProductResource\Controller\ExtraFieldController');
        
    }
}
